<?php
/* 	
 * Author   : Dhidhik / Tanggal : 12-10-2015	
 * Revisi   : 
 */
//---------Untuk privellege Print and export excel ----------//
if (isset($group_user)) {
    if ($group_user->PrintPrivillage == 1) {
        $cek_autority_print = "";
    } else {
        $cek_autority_print = "disabled";
    }

    if ($group_user->ExcelPrivillage == 1) {
        $cek_autority_excel = "";
    } else {
        $cek_autority_excel = "disabled";
    }
    if($group_user->EditPrivillage == 1){
        $cek_autority_edit = "";
    }
    else{
        $cek_autority_edit = "disabled";
    }
} else {
    $cek_autority_print = "disabled";
    $cek_autority_excel = "disabled";
    $cek_autority_edit = "disabled";
}
//---------END Untuk privellege Print and export excel ----------//
?>
<link rel="stylesheet" type="text/css" href="<?php echo base_url() ?>assets/custom/css/treetable/jquery.treegrid.css">
<script type="text/javascript" src="<?= base_url() ?>assets/custom/js/treetable/jquery.treegrid.bootstrap3.js"></script>
<script type="text/javascript" src="<?= base_url() ?>assets/custom/js/treetable/jquery.treegrid.js"></script>
<style type="text/css">

    .margin-left5persen{
        margin-left:5%; 
    }
    .margin-right5persen{
        margin-right:5%; 
    }
    @media print {
        .noPrint { display: none; visibility: hidden; }
        .displayPrint{
            display: inline-block;
            left: 0px;
            position: fixed;
            background-color: white;
            width: 82%;
        }
        .layout-panel-west{display: none; visibility: hidden; }
        table{
            width: 100%;
        }       
    }
    /* style sheet for "A4" printing */
    @media print and (width: 21cm) and (height: 29.7cm) {
        @page {
            margin: 3cm;
        }
    }

    /* style sheet for "letter" printing */
    @media print and (width: 8.5in) and (height: 11in) {
        @page {
            margin: 1in;
        }
    }

    /* A4 Landscape*/
    @page {
        size: A4 landscape;
    }
</style>
<div id="cc" class="easyui-layout" data-options="fit:true, border:false">
    <div id="west-panel" data-options="region:'west',split:true,border:true" class="noPrint" title="Filter" style="width:190px;background-color:#CCCCFF;padding:5px;">
        <form class="form-filter noPrint" method="post" name="formFilterDeposit" id="formFilterDeposit" >
            <input type="hidden" name="branchDepositFrom" id="branchDepositFrom" value="All"><br>
            <input type="hidden" name="branchDepositTo" id="branchDepositTo" value="All">
            <table width="100%" cellpadding="0" cellspacing="0">
                <!-------copy company dari sini------------------------------------------------------------------------>
                <tr>
                    <td align="left" style="padding-bottom:8px;">
                        <b>by Company</b>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <select name="cmb_company" id="cmb_company" 
                                class="easyui-combobox" 
                                style="width:174px;"
                                data-options="
                                value:'<?php echo $this->session->userdata('company'); ?>',
                                valueField:'CompanyCode',
                                textField:'CompanyName',
                                url:'<?php echo base_url(); ?>custom/get_data/company_find_master',
                                onSelect: function(rec){
                                var url = '<?php echo base_url(); ?>custom/get_data/branch_by_company_new/'+rec.CompanyCode;
                                $('#cmb_branch').combobox('reload', url);
                                }
                                "editable="true"
                                >

                        </select>
                    </td>
                </tr>
                <!------------end--------------------------------------------------------------------------- -->

                <!-------copy branch dari sini------------------------------------------------------------------------>
                <tr>
                    <td align="left" style="padding-bottom:8px;">
                        <b>by Branch/Depo</b>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <select name="cmb_branch" id="cmb_branch" 
                                class="easyui-combobox" 
                                style="width:174px;"  
                                data-options="
                                value :'<?php echo $this->session->userdata('branch'); ?>',
                                valueField:'BranchCode', 
                                textField:'BranchName', 
                                url:'<?php echo base_url(); ?>custom/get_data/branch_by_company_new/<?php echo $this->session->userdata('company'); ?>',
                                onSelect:function(rec){
                                    fncBranchSelected();
                                }
                                " editable="true">
                        </select>

                    </td>
                </tr>
                <!------------end-------------------------------------------------------------------------------->

                <!--ini separator-------------------------------------------->
                <tr><td colspan="2"><div class="tr-divider"></div></td></tr>
                <!--end-------------------------------------------------------->
                <!-----------------find by date------------------------------------------------------------------------>
                <tr>
                    <td style="padding-bottom:8px;">
                        <b>by Date</b>
                        <input type="checkbox" name="chk_ByDateNew" value="1" id="chk_ByDateNew" style="float:right;" checked disabled />
                    </td>
                </tr>
                <tr>
                    <td>
                        From
                        <span style="float:right;">
                            <input name="txt_DateFrom" id="txt_DateFrom" type="text" class="easyui-datebox " style="width:100px;height:22px;" editable="false" disabled />
                        </span>
                    </td>
                </tr>
                <tr>
                    <td>
                        To
                        <span style="float:right;">
                            <input name="txt_DateTo" id="txt_DateTo" type="text" class="easyui-datebox " style="width:100px;height:22px;" editable="false" disabled />
                        </span>
                    </td>
                </tr>
                <!----------------------------------------------end-------------------------------------------------------------->

                <!--ini separator-------------------------------------------->
                <tr><td colspan="2"><div class="tr-divider"></div></td></tr>
                <!--end-------------------------------------------------------->

                <!-------copy Deposit From dari sini------------------------------------------------------------------------>
                <tr>
                    <td align="left" style="padding-bottom:8px;">
                        <b>Deposit From :</b>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <select name="cmb_deposit_from" class="easyui-combogrid" 
                                id="cmb_deposit_from" 
                                style="width:174px;" 
                                data-options="
                                        value:'All',
                                        panelWidth: 252,
                                        idField: 'AccountNumber',
                                        textField: 'AccountName',            
                                        columns: [[
                                        {field:'AccountName',title:'Account Name',width:90},
                                         {field:'BranchCode',title:'Branch Code',width:190}
                                        ]],
                                        fitColumns: true" 
                                editable="false">
                        </select>
                    </td>
                </tr>
                <!------------end copy Deposit From dari sini--------------------------------------------------------------------------- -->

                <!-------copy Deposit To dari sini------------------------------------------------------------------------>
                <tr>
                    <td align="left" style="padding-bottom:8px;">
                        <b>Deposit To :</b>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <select name="cmb_deposit_to" class="easyui-combogrid" 
                                id="cmb_deposit_to"  
                                style="width:174px;"
                                data-options="
                                    value:'All',
                                    panelWidth: 300,
                                    idField: 'AccountNumber',
                                    textField: 'AccountName',
                                    columns: [[
                                    {field:'AccountName',title:'Account Name',width:190}
                                    ]],
                                    fitColumns: true
                                "
                                editable="false">
                        </select>
                    </td>
                </tr>
                <!------------end copy Deposit To dari sini--------------------------------------------------------------------------- -->

                <!--ini separator-------------------------------------------->
                <tr><td colspan="2"><div class="tr-divider"></div></td></tr>
                <!--end-------------------------------------------------------->

                <!----------------------------------ini by status---------------------------------------------------------->
<!--                <tr>
                    <td style="padding-bottom:8px;"><b>by Status</b></td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="0" style="margin-left:0px;"  /> Waiting For DP
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="1" style="margin-left:0px;"  /> On Progress
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="2" style="margin-left:0px;"  checked/> Finished
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="3" style="margin-left:0px;"  /> Suspended
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="4" style="margin-left:0px;"  /> Need App. Mgr.
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="5" style="margin-left:0px;"  /> Need App. Dir.
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="6" style="margin-left:0px;"  checked/> App. Dir &amp; Mgr
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="7" style="margin-left:0px;"  /> App. Limit
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox" name="chk_TransStatus" value="9" style="margin-left:0px;" /> Cancel By Dir.
                    </td>
                </tr>-->
                
                <tr class="divTranstatus">
                    <td></td>
                </tr>
                <!------------------------------------------------------end by status-------------------------------------------------------------------------------------------->

                <!--copy dari sini untuk button reset dan search-->
                <tr>
                    <td height="38">
                        <div style="float:right;">
                            <a href="#" class="easyui-linkbutton" data-options="iconCls:'icon-reload'" onClick="location.reload();" >Reset</a>
                            <a href="#" class="easyui-linkbutton" data-options="iconCls:'icon-search'" onClick="searching_data_transaksi_deposit('', '');" >Search</a>
                        </div>
                    </td>
                </tr>
                <!--end copy dari sini untuk button reset dan search-------------------------->

            </table>
        </form>
    </div>

    <div data-options="region:'center',border:false,iconCls:'icon-ok'">
        <div style="padding:2px" id="form-header">
            <a href="#" class="easyui-linkbutton noPrint" data-options="plain:true,iconCls:'icon-print'" onClick="window.print()" <?= $cek_autority_print ?>>Print</a>
            &nbsp;&nbsp;           
            <a href="#" class="easyui-linkbutton noPrint" data-options="plain:true,iconCls:'icon-excel'" onclick="actionExcel()" <?= $cek_autority_excel ?>>Export File </a>
            &nbsp;&nbsp;           
            <a href="#" class="easyui-linkbutton noPrint" data-options="plain:true,iconCls:'icon-reload'" onclick="location.reload();">Refresh</a>
        </div><br />
        <div id="databox" class="displayPrint"></div>	
    </div>

</div>

<script type="text/javascript">
    var shortingText = "";
    var rstTypeShorting = "ASC";
    var pre_url = base_url + 'report/index_cash_bank/pre_ajax_reloadDataDeposit';
    var url = base_url + 'report/index_cash_bank/ajax_reloadDataDeposit';
    var dataSend = {};
    var noTree = 1;    
    var noUrutLevel0 = 1;
    var stringHTML = "";
    var pages = {limit: limitRowInPage(), pages: 1};
    var tempArSumm = [];
    function variableDefault() {
        shortingText = "";
        rstTypeShorting = "ASC";
        dataSend = {};
        noTree = 1;
        noUrutLevel0 = 1;
        stringHTML = "";
        pages['pages'] = 1;
        tempArSumm = [];
    }

    function checkShorting(txtCheckShorting) {
        if (shortingText == txtCheckShorting) {
            rstTypeShorting == "DESC" ? rstTypeShorting = "ASC" : rstTypeShorting = "DESC";
        } else {
            rstTypeShorting = "ASC";
            shortingText = txtCheckShorting;
        }
        //alert("cek="+txtCheckShorting+"-"+rstTypeShorting);
        return rstTypeShorting;
    }
    function fncBranchSelected(){        
        var valCompCode     = $('#cmb_company').combobox('getValue');
        var valBranchCode   = $('#cmb_branch').combobox('getValue');
        document.formFilterDeposit.branchDepositFrom.value = "All";
        document.formFilterDeposit.branchDepositTo.value = "All";
        $('#cmb_deposit_from').combogrid({
            url: '<?php echo base_url(); ?><?php echo "report/index_cash_bank"; ?>/get_deposit_from/'+valCompCode+'/'+valBranchCode,
            onSelect:function(rec,data){
                        document.formFilterDeposit.branchDepositFrom.value = data.BranchCode;
                    },
            idField: 'AccountNumber',
            textField: 'AccountName',
            columns: [[
                {field:'AccountName', title: 'AccountName', width: 150, sortable: true},
                {field:'BranchCode',title:'Branch Code',width:150, sortable: true},
                {field:'CurrencyCode',title:'Currency',width:100, sortable: true}
            ]]
        });
        $('#cmb_deposit_to').combogrid({
            url: '<?php echo base_url(); ?><?php echo "report/index_cash_bank"; ?>/get_deposit_to/'+valCompCode+'/'+valBranchCode,
            onSelect:function(rec,data){
                document.formFilterDeposit.branchDepositTo.value = data.BranchCode;
            },
            idField: 'AccountNumber',
            textField: 'AccountName',
            columns: [[
                {field: 'AccountName', title: 'AccountName', width: 150, sortable: true},
                {field:'BranchCode',title:'Branch Code',width:150, sortable: true},
                {field:'CurrencyCode',title:'Currency',width:100, sortable: true}
            ]]
        });
    }
    function startLoad() {
        //========load tanggal=============//
        $('#txt_DateFrom').datebox('enable', true);
        $('#txt_DateTo').datebox('enable', true);

        if ($('#txt_DateFrom').datebox('getValue') == "" || $('#txt_DateFrom').datebox('getValue') == undefined) {
            $('#txt_DateFrom').datebox('setValue', '<?= date('01-m-Y') ?>');
            $('#txt_DateTo').datebox('setValue', 'today');
        }
        //========END load tanggal=============//        

        var searchParameter = {};
        /*
         disini hanya ada dua search, pakai company atau branch
         */

        if ($('#cmb_company').length > 0) {
            searchParameter['cmb_company'] = $('#cmb_company').combobox('getValue');
        }
        if ($('#cmb_branch').length > 0) {
            searchParameter['cmb_branch'] = $('#cmb_branch').combobox('getValue');
        }

        searchParameter['chk_TransStatus'] = new Array();
        $.each($('input[name="chk_TransStatus"]:checked'), function () {
            searchParameter['chk_TransStatus'].push($(this).val());
        });

        if ($('#txt_DateFrom').length > 0) {
            searchParameter['txt_DateFrom'] = $('#txt_DateFrom').datebox('getValue');
            searchParameter['txt_DateTo'] = $('#txt_DateTo').datebox('getValue');
        }

        if ($('#cmb_deposit_from').length > 0) {
            searchParameter['cmb_deposit_from'] = $('#cmb_deposit_from').combobox('getValue');
        }
        if ($('#cmb_deposit_to').length > 0) {
            searchParameter['cmb_deposit_to'] = $('#cmb_deposit_to').combobox('getValue');
        }
        return searchParameter;
    }
    $(document).ready(function () {
        //============= transtatus ========================//
        var listTrans = [
            {"status": "all", "checked": ""},
            {"status": "dp", "checked": ""},
            {"status": "onprogress", "checked": ""},
            {"status": "finish", "checked": "checked"},
            {"status": "suspend", "checked": ""},
            {"status": "app_mgr", "checked": ""},
            {"status": "app_dir", "checked": ""},
            {"status": "app_dirmgr", "checked": "checked"},
            {"status": "app_limit", "checked": ""},
            {"status": "cancel_dir", "checked": ""}
        ];//daftar Transtatus yang dipakai, value parameter nya liat di custom js
        toHTMLTranstatusReport("divTranstatus", listTrans);//untuk memanggil html Transtatus        
        //============= end transtatus ========================//

        startLoad();//Load awal
        fncBranchSelected();
        
        /*===chk_ByDateNew jangan lupa ganti ============*/
        $('#chk_ByDateNew').click(function () {
            if ($(this).is(':checked')) {
                $('#txt_DateFrom').datebox('enable', true);
                $('#txt_DateTo').datebox('enable', true);
                $('#txt_DateFrom').datebox('setValue', '<?= date('01-m-Y') ?>');
                $('#txt_DateTo').datebox('setValue', 'today');
            }
            else {
                $('#txt_DateFrom').datebox('disable', true);
                $('#txt_DateTo').datebox('disable', true);
                $('#txt_DateFrom').datebox('setValue', '');
                $('#txt_DateTo').datebox('setValue', '');
            }

        });
        /*==================end=========================*/
    });

    function searching_data_transaksi_deposit(txtTable, txtFieldShorting) {//(namaVariableTabelDiModel, namaField)
//        var url         = base_url + 'report/index_cash_bank/ajax_reloadDataDeposit';
        variableDefault();
        var getValue    = startLoad();
        var typeShorting = checkShorting(txtFieldShorting);

        dataSend = {
            pages: pages,
            predata: [],
            cmb_company: getValue['cmb_company'] == undefined ? "" : getValue['cmb_company'],
            cmb_branch: getValue['cmb_branch'] == undefined ? "" : getValue['cmb_branch'],
            branchDepositFrom:document.formFilterDeposit.branchDepositFrom.value,
            branchDepositTo :document.formFilterDeposit.branchDepositTo.value,
            cmb_deposit_from: getValue['cmb_deposit_from'],
            cmb_deposit_to  : getValue['cmb_deposit_to'],
            txt_DateFrom    : getValue['txt_DateFrom'],
            txt_DateTo      : getValue['txt_DateTo'],
            chk_TransStatus : getValue['chk_TransStatus'],
            txtTable        : txtTable,
            txtField        : txtFieldShorting,
            typeShorting    : typeShorting,
            dataIn: "collapseAll"
        };
        if ($('#cmb_branch').combobox('getValue') == undefined) {
            $('#cmb_branch').combobox('clear');
            var strAlert = strMessageAlert_report('branchIsEmpty');
            messageAlertBiasa('Warning', strAlert, 'error');
        }
        else if ($('#cmb_company').combobox('getValue') == undefined) {
            $('#cmb_company').combobox('clear');
            var strAlert = strMessageAlert_report('companyIsEmpty');
            messageAlertBiasa('Warning', strAlert, 'error');
        }
        else if (strDateIndToEng(dataSend['txt_DateFrom']) > strDateIndToEng(dataSend['txt_DateTo'])) {
            var strAlert = strMessageAlert_report('dateFrom>dateTo');
            messageAlertBiasa('Warning', strAlert, 'error');
        } else {
            modal_open('Progress Bar', 'dlg_loading');
            $.post(pre_url, dataSend).done(function (pre_result) {//preAjax
                //var stringHTML = "";   // untuk menyimpan yang akan ditampilkan ke layar
                var preResult = JSON.parse(pre_result);
                //Array Pre_result diambil code nya saja
                var dataTopHeader = {
                    CompanyName: preResult.company.CompanyName,
                    BranchName: preResult.company.BranchName == undefined || preResult.company.BranchName == "" ? "All Branch" : preResult.company.BranchName,
                    reportLabel: " List Data Deposit ",
                    startdate: preResult.startdate,
                    enddate: preResult.enddate,
                    colspan: 9
                };
                stringHTML += tableHTMLTopHeaderReport(dataTopHeader);//topHeader   

                if (preResult.datas != 0) {//jika pre ajax data ada 
                    var pre_arData = [];
                    preResult.datas.forEach(function (pre_dtResults) {//untuk mempersiapkan pre Array utk search
                        var pre_code = pre_dtResults['code'];
                        pre_arData.push(pre_code);
                    });
                    dataSend['predata'] = pre_arData;//isi preArray dengan value baru

                    $.post(url, dataSend).done(function (result) {
                        var parseResult = JSON.parse(result);
                        var arTempDatas = []; 
                        
                        //=== JIKA DATA DITEMUKAN ========================================//
                        if (parseResult.datas != 0) {                            
                            arTempDatas = prepareReport(parseResult);
                            stringHTML += createReport(arTempDatas);
                            pages['pages'] = (pages['pages'] * 1) + 1;  
                        }//=== END JIKA DATA DITEMUKAN ===================================//
                        else {
                            stringHTML += tableHTMLNotFound();
                        }
                        //console.log("arTempDatas="+JSON.stringify(arTempDatas));
                        $("#databox").html(stringHTML);
                        modal_close('dlg_loading');
                    }, 'json');
                } else {
                    stringHTML += tableHTMLNotFound();
                    $("#databox").html(stringHTML);
                    modal_close('dlg_loading');
                }
            }, 'json');
        }
    }

    function print_detail() {
        //var opt_print   = $("input[type='radio'][name='opt_print']:checked").val();
        var data_print = $("#list-print-container").html();
        Popup(data_print);

    }
    function Popup(data) {
        var mywindow = window.open('', 'print-container', 'height=528,width=700');
        var css = '<link rel="stylesheet" href="<?php echo base_url() ?>assets/custom/css/print.css" type="text/css" />';
        mywindow.document.write('<html><head><title>Print Detail</title>');
        mywindow.document.write(css);
        mywindow.document.write('</head><body >');
        mywindow.document.write(data);
        mywindow.document.write('</body></html>');

        mywindow.document.close(); // necessary for IE >= 10
        mywindow.focus(); // necessary for IE >= 10

        mywindow.print();
        mywindow.close();

        return true;
    }
    function actionExcel(){
        var htmls = "";        
        htmls = stringHTML;
        htmls = htmls.replace(/<table/gi, "<table ><tr><td></td></tr><tr><td></td></tr></table><table border='1' ");
        htmls = htmls.replace(/border='0'/gi, " ");
        htmls = htmls.replace(/'s0 text-center'/gi, "'s0 text-center' style='font-size:7;text-align: center;font-weight: bold;' ");
        htmls = htmls.replace(/'s1 text-center'/gi, "'s1 text-center' style='font-size:9;text-align: center;font-weight: bold;' ");
        htmls = htmls.replace(/'s2'/gi, "'s2' style='text-align: center;font-weight: bold;' ");
        htmls = htmls.replace(/id='tableHeader'/gi, " style='background-color:#d5d5d5;' "); 
        var delRow ="<tr>"
                +"<td class='s5' align='right' colspan='5'></td>"
                +"<td class='s5' align='right' colspan='2'><hr></td>"
            +"</tr>";
        htmls = htmls.replace(delRow, " ");

        delRow="<tr>"
            +"<td class='s5' align='right' colspan='9'><hr></td>"
            +"</tr>";
        htmls = htmls.replace(delRow, " ");
        exportToExcel(htmls);
    }

    function prepareReport(parseResult) {
//        var tempItemCode = "";
        var arTempDatas = [];
        // === LOOP PEMBACAAN DATA ===================================//
        
        parseResult.datas.forEach(function (dtResults) {
            var dataJSONLevel_0 = arJSONLevel_0(dtResults);
            arTempDatas.push(dataJSONLevel_0);
        });
        // === END LOOP PEMBACAAN DATA ============================/    
        return arTempDatas;
    }
    function createReport(arTempDatas) {
        var tempStringHtml = "";
        tempStringHtml += createRowReport(arTempDatas);
        tempStringHtml += tableHTMLBlankForNext();
        tempStringHtml += "</table><script>"
                + "$(document).ready(function () {"
                + "    $('.tree-2').treegrid({"
                + "        expanderExpandedClass: ' treegrid-expander-expanded ',"
                + "        expanderCollapsedClass: 'treegrid-expander-collapsed'"
                + "    });"
                + "    $('.tree-2').treegrid('" + dataSend['dataIn'] + "');"
                + "});"
                + "</script" + ">";

        tempStringHtml += stringLegend();
        return tempStringHtml;
    }
    function createRowReport(arTempDatas) {
        var tempStringHtml = "";
        //MULAI LOOP
        if(tempArSumm['footer']==undefined ||tempArSumm['footer']!='yes'){            
            tempArSumm = {
                footer:"yes",
                TotalAmount: 0
            };
        }
        
        arTempDatas.forEach(function (arDataLevel_0) {//MULAI LOOP UNTUK DAPAT NAMA CUSTOMER
            pages['pages'] <2? tempStringHtml += tabelHTMLHeader() : "";//membuat tabel header
            tempStringHtml += tableHTMLContentFirst(noTree, noUrutLevel0, arDataLevel_0);
            noTree++;

            //===sumarry total per customer=====================//
            tempArSumm['TotalAmount'] = (tempArSumm['TotalAmount'] * 1) + (arDataLevel_0.CDepTotalAmount * 1);
            //===end sumarry total per customer================//
            noUrutLevel0++;
        });
        //END MULAI LOOP
        tempStringHtml += tableHTMLFooterSummary(tempArSumm);//MEMBUAT FOOTER SUMARY 
        return tempStringHtml;
    }
    function seeMore() {
        modal_open('Progress Bar', 'dlg_loading');
        $.post(pre_url, dataSend).done(function (pre_result) {//preAjax
            var preResult = JSON.parse(pre_result);
            if (preResult.datas != 0) {//jika pre ajax data ada                 
                //Array Pre_result diambil code nya saja
                var pre_arData = [];
                preResult.datas.forEach(function (pre_dtResults) {
                    var pre_code = pre_dtResults['code'];
                    pre_arData.push(pre_code);
                });
                dataSend['predata'] = pre_arData;//isi preArray dengan value baru
                //End Array Pre_result diambil code nya saja

                var prearTempDatas = [];
                var pre_stringHTML = "";
                $.post(url, dataSend).done(function (result) {//loadAjax
                    var parseResult = JSON.parse(result);
                    if (parseResult.datas != 0) {
                        //console.log("arTempDatas="+JSON.stringify(arTempDatas));
                        $("#footerSumAll_hr").replaceWith("");
                        $("#footerSumAll_row").replaceWith("");
                        prearTempDatas = prepareReport(parseResult);
                        pre_stringHTML += createRowReport(prearTempDatas);
                        pre_stringHTML += tableHTMLBlankForNext();

                        pages['pages'] = (pages['pages'] * 1) + 1;
                        $("#tr-see-more").replaceWith("");//clear row button 
                        $("#rowBlankForNext").replaceWith(pre_stringHTML);//mengganti row blank dengan ros data page baru
//                        $("#footerSumAll").replaceWith(tableHTMLFooterSummary(tempArSumm));
                        var htmlDataBox = $("#databox").html();//mengambil html pada div #databox yg data sudah baru
                        $("#databox").html(htmlDataBox);//mengisi kembali div #databox agar Tree-nya dapat work                      
                    } else {
                        $("#btn-see-more").prop("disabled", true);
                        $("#btn-see-more").val("Data Completed");
                    }
                    modal_close('dlg_loading');
                }, 'json');
            } else {
                $("#btn-see-more").prop("disabled", true);
                $("#btn-see-more").val("Data Completed");
                modal_close('dlg_loading');
            }
        }, 'json');
    }
    function tabelHTMLHeader(){
        var strHeader = "<tr><td colspan='9' class='s3' align='left'><b><u></u></b></td></tr>"
                        +"<tr id='tableHeader'>"//baris heading table
                        + "<td width='' class='s4 text-left'><span class='small_bold' >No</span></td>"
                        + "<td width='' class='s4 text-left linkParentTab' style='cursor:pointer;' onclick=\"searching_data_transaksi_deposit('tbl_cdeposit','CDepDate');\"><span class='small_bold'>Date</span></td>"
                        + "<td width='' class='s4 text-left linkParentTab' style='cursor:pointer;' onclick=\"searching_data_transaksi_deposit('tbl_cdeposit','CDepNumber');\"><span class='small_bold'>Payment no</span></td>"
                        + "<td width='' class='s4 text-left linkParentTab' style='cursor:pointer;' onclick=\"searching_data_transaksi_deposit('acBankPayment','AccountNumber');\"><span class='small_bold'>Deposit From</span></td>"
                        + "<td width='' class='s4 text-left linkParentTab' style='cursor:pointer;' onclick=\"searching_data_transaksi_deposit('acBankReceipt','AccountNumber');\"><span class='small_bold'>Deposit To</span></td>"
                        + "<td width='' class='s4 text-right' align='right'><span class='small_bold' >Other Currency</span></td>"
                        + "<td width='' class='s4 text-right' align='right'><span class='small_bold' >Rate</span></td>"
                        + "<td width='' class='s4 text-right linkParentTab' align='right' style='cursor:pointer;' onclick=\"searching_data_transaksi_deposit('tbl_cdeposit','CDepTotalAmount');\"><span class='small_bold' >Amount</span></td>"
                        + "<td width='' class='s4 text-right linkParentTab'  align='right' style='cursor:pointer;' onclick=\"searching_data_transaksi_deposit('tbl_cdeposit','TransStatus');\"><span class='small_bold' >Status</span></td>"
                        + "</tr>";
        return strHeader;
    }
    function tableHTMLContentFirst(noTree, noUrut, data){
        var strContent = "<tr class='s5 treegrid-" + noTree + "' style='-webkit-print-color-adjust:exact;background-color:#F4F4FF;font-weight: bold;'>"
        + "<td width='' class='text-left'><span class='small_bold' >" + noUrut + "</span></td>"
        + "<td width='' class='text-left'><span class='small_bold' >" + data['CDepDate'] + "</span></td>"
        + "<td width='' class=' text-left'><span class='small_bold' ><a class='linkParentTab' href=\"#\" onclick=\"parent.tab_edit('Edit Deposit', 'list/deposit', 'icon-edit', 'edit', '" + data['CDepNumber'] + "')\"  <?=$cek_autority_edit?>>" + data['CDepNumber'] + "</a></span></td>"
        + "<td width='' class='s5 text-left'><span class='small_bold' >" + data['BankPaymentName'] + "</span></td>"
        + "<td width='' class='s5 text-left'><span class='small_bold' >" + data['BankReceiptName'] + "</span></td>"
        + "<td width='' class='s5 text-right' align='right'><span class='small_bold' >" ;
        data['notIDR']=='-'?strContent+=data['notIDR']:strContent+=formatRp(data['notIDR']);
        strContent+= "</span></td><td width='' class='s5 text-right' align='right'><span class='small_bold' >" ;
        data['notIDR']=='-'?strContent+=data['notIDR']:strContent+=formatRp(data['Rate']);
        strContent+= "</span></td>"
        + "<td width='' class='s5 text-right' align='right'><span class='small_bold' >" + formatRp(data['CDepTotalAmount']) + "</span></td>"
        + "<td width='' class='s5 text-right' align='right'><span class='small_bold' >" + data['TransStatus'] + "</span></td>"
        + "</tr>";
        return strContent;
    }
    function tableHTMLFooterSummary(data) {
        var strFooter = "<tr id='footerSumAll_hr'>"
                + "<td class='s5' align='right' colspan='9'><hr class='hrTableSummary' style='size:3px;'></td></tr>"
                + "<tr id='footerSumAll_row'>"
                    +"<td class='s5' align='right' colspan='7'><b>TOTAL : </b> </td>"
                    +"<td class='s5' align='right'><b>"+formatRp(data['TotalAmount'])+"</b></td>"
                    +"<td  align='right'></td>"
                +"</tr>";
        return strFooter;
    }
    function tableHTMLBlankForNext() {
        var strFooter = "<tr id='rowBlankForNext'>"
                + "<td class='s5' align='right' colspan='9'></td></tr>";
        strFooter += "<tr id='tr-see-more'><td colspan='5'><br><br><input id='btn-see-more' name='btn-see-more' type='button' onclick='seeMore()' value=' See More ' style='cursor:pointer;'></td></tr>";
        
        return strFooter;
    }
    
    function arJSONLevel_0(dtResults) {
        //noUrut,CDepDate,CDepNumber,BankPaymentName,BankReceiptName,notIDR,Rate,CDepTotalAmount,TransStatus
        var tempData = {
            CDepDate: dateSqlToIndo(dtResults.CDepDate),
            CDepNumber: dtResults.CDepNumber,
            BankPaymentName:dtResults.BankPaymentName,
            BankReceiptName:dtResults.BankReceiptName,
            notIDR: dtResults.notIDR,
            Rate:dtResults.Rate,
            CDepTotalAmount:dtResults.CDepTotalAmount,
            TransStatus: get_status(dtResults.TransStatus)
        };
        return tempData;
    }
    function stringLegend(){
        var strLgnd = {
            marginLeft:'2%',
            datas :[
                {boxColor:'#F4F4FF',strLabel:"Data Deposit"},
                {boxColor:"",strLabel:"'Date' : Tanggal Transaksi Deposit."},
                {boxColor:"",strLabel:"'Payment No' : Nomor Transaksi Deposit."},
                {boxColor:"",strLabel:"'Deposit From' : Deposit Dari ?."},
                {boxColor:"",strLabel:"'Deposit To' : Deposit untuk ?."},
                {boxColor:"",strLabel:"'Other Currency' : Mata uang yang dipakai selain mata uang Rupiah."},
                {boxColor:"",strLabel:"'Rate' : Nilai nominal dari nilai tukar mata uang terhadap rupiah."},
                {boxColor:"",strLabel:"'Amount' : Jumlah nominal transaksi deposit."},
                {boxColor:"",strLabel:"'Status' : Status transaksi deposit."}
            ]
        };
        var rst = legendsTable(strLgnd);
        return rst;
    }
</script>